]> git.sur5r.net Git - openldap/commitdiff
regenerate
authorPierangelo Masarati <ando@openldap.org>
Fri, 6 Jan 2006 17:14:41 +0000 (17:14 +0000)
committerPierangelo Masarati <ando@openldap.org>
Fri, 6 Jan 2006 17:14:41 +0000 (17:14 +0000)
configure
include/portable.hin

index 6fea656906d439221716b22d21a7fd4da0d23f90..1b7e5fd805e3b80c95b3bf54e55d46f9d15bd134 100755 (executable)
--- a/configure
+++ b/configure
@@ -1,5 +1,5 @@
 #! /bin/sh
-# From configure.in OpenLDAP: pkg/ldap/configure.in,v 1.617 2006/01/06 15:20:00 ando Exp .
+# From configure.in OpenLDAP: pkg/ldap/configure.in,v 1.618 2006/01/06 16:12:35 ando Exp .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.59.
 #
@@ -1015,7 +1015,8 @@ Optional Features:
 
 SLAPD (Standalone LDAP Daemon) Options:
   --enable-slapd         enable building slapd [yes]
-    --enable-aci         enable per-object ACIs (experimental) [no]
+    --enable-dynacl      enable run-time loadable ACL support (experimental) [no]
+    --enable-aci         enable per-object ACIs (experimental) no|yes|mod [no]
     --enable-cleartext   enable cleartext passwords [yes]
     --enable-crypt       enable crypt(3) passwords [no]
     --enable-lmpasswd    enable LAN Manager passwords [no]
@@ -2479,6 +2480,29 @@ else
        ol_enable_slapd=yes
 fi;
 # end --enable-slapd
+# OpenLDAP --enable-dynacl
+
+       # Check whether --enable-dynacl or --disable-dynacl was given.
+if test "${enable_dynacl+set}" = set; then
+  enableval="$enable_dynacl"
+
+       ol_arg=invalid
+       for ol_val in auto yes no ; do
+               if test "$enableval" = "$ol_val" ; then
+                       ol_arg="$ol_val"
+               fi
+       done
+       if test "$ol_arg" = "invalid" ; then
+               { { echo "$as_me:$LINENO: error: bad value $enableval for --enable-dynacl" >&5
+echo "$as_me: error: bad value $enableval for --enable-dynacl" >&2;}
+   { (exit 1); exit 1; }; }
+       fi
+       ol_enable_dynacl="$ol_arg"
+
+else
+       ol_enable_dynacl=no
+fi;
+# end --enable-dynacl
 # OpenLDAP --enable-aci
 
        # Check whether --enable-aci or --disable-aci was given.
@@ -2486,7 +2510,7 @@ if test "${enable_aci+set}" = set; then
   enableval="$enable_aci"
 
        ol_arg=invalid
-       for ol_val in auto yes no ; do
+       for ol_val in no yes mod ; do
                if test "$enableval" = "$ol_val" ; then
                        ol_arg="$ol_val"
                fi
@@ -3680,6 +3704,7 @@ echo "$as_me: WARNING: slapd disabled, ignoring --enable-$i argument" >&2;}
        ol_enable_modules=no
        ol_enable_multimaster=no
        ol_enable_rlookups=no
+       ol_enable_dynacl=no
        ol_enable_aci=no
        ol_enable_wrappers=no
 
@@ -5688,7 +5713,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 5691 "configure"' > conftest.$ac_ext
+  echo '#line 5716 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -7668,11 +7693,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7671: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7696: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7675: \$? = $ac_status" >&5
+   echo "$as_me:7700: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7930,11 +7955,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7933: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:7958: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:7937: \$? = $ac_status" >&5
+   echo "$as_me:7962: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings other than the usual output.
@@ -7992,11 +8017,11 @@ else
    -e 's:.*FLAGS}\{0,1\} :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:7995: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:8020: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:7999: \$? = $ac_status" >&5
+   echo "$as_me:8024: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -10240,7 +10265,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10243 "configure"
+#line 10268 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -10338,7 +10363,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 10341 "configure"
+#line 10366 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -44128,15 +44153,35 @@ _ACEOF
 
 fi
 if test "$ol_enable_aci" != no ; then
+       if test $ol_enable_dynacl = no ; then
+               ol_enable_dynacl=yes
+               { echo "$as_me:$LINENO: WARNING: ACIs need dynacl" >&5
+echo "$as_me: WARNING: ACIs need dynacl" >&2;}
+       fi
+       if test "$ol_enable_aci" = mod ; then
+               MFLAG=SLAPD_MOD_DYNAMIC
+                               { { echo "$as_me:$LINENO: error: ACI build as dynamic module not supported (yet)" >&5
+echo "$as_me: error: ACI build as dynamic module not supported (yet)" >&2;}
+   { (exit 1); exit 1; }; }
+       else
+               MFLAG=SLAPD_MOD_STATIC
+       fi
+       WITH_ACI_ENABLED=$ol_enable_aci
 
-cat >>confdefs.h <<\_ACEOF
-#define SLAPD_ACI_ENABLED 1
+cat >>confdefs.h <<_ACEOF
+#define SLAPD_ACI_ENABLED $MFLAG
 _ACEOF
 
-       WITH_ACI_ENABLED=yes
 else
        WITH_ACI_ENABLED=no
 fi
+if test "$ol_enable_dynacl" != no ; then
+
+cat >>confdefs.h <<\_ACEOF
+#define SLAP_DYNACL 1
+_ACEOF
+
+fi
 
 if test "$ol_link_modules" != no ; then
 
index 12c3683747a987175e40d961f0206f984d9e53a9..56d5c85a8e3c3e9124e6bf302b33477367da2eda 100644 (file)
 /* define to support SQL backend */
 #undef SLAPD_SQL
 
+/* define to support run-time loadable ACL */
+#undef SLAP_DYNACL
+
 /* Define to 1 if you have the ANSI C header files. */
 #undef STDC_HEADERS